#!/bin/sh

flavor=console

set_settings_console() {
	keyring_packages=ubuntu-keyring
	linux_flavours=""
	tasks="standard"
	packages="linaro-overlay-minimal linaro-netbook-efl linaro-development linaro-graphical-engineering xserver-xorg-video-fbdev"
	packages_list=""
	bootstrap_flavour="standard"
	distribution=natty
	hostname=linaro
	initramfs="none"
	brand="Linaro Graphica WG"
	chrootsources="chroot_sources"
	cache="disabled"
}

set_settings_$flavor

export LH_BOOTSTRAP_INCLUDE="apt-transport-https gnupg"
export LH_SYSLINUX_MENU_LIVE_ENTRY="Start $brand Live"

lh config \
        --archive-areas "main universe" \
        --bootstrap debootstrap \
        --bootstrap-flavour "$bootstrap_flavour" \
        --distribution "$distribution" \
        --mirror-bootstrap "http://ports.ubuntu.com/" \
        --mirror-chroot "http://ports.ubuntu.com/" \
        --mirror-chroot-security "http://ports.ubuntu.com/" \
        --mirror-binary "http://ports.ubuntu.com/" \
        --mirror-binary-security "http://ports.ubuntu.com/" \
 \
        --cache $cache \
        --cache-stages "bootstrap chroot" \
        --initramfs "$initramfs" \
        --mode ubuntu \
 \
        --keyring-packages "$keyring_packages" \
        --linux-flavours "$linux_flavours" \
        --tasks "$tasks" \
        --linux-packages linux \
        --security true \
        --packages "$packages" \
        --packages-list "$packages_list" \
        --chroot-filesystem "none" \
 \
        --binary-images "tar" \
        --binary-filesystem ext3 \
        --username linaro \
        --debian-installer-distribution "$distribution" \
        --debian-installer-gui false \
        --hostname "$hostname" \
        --net-root-path "/srv/${hostname}-live" \
        --boot-flavours "" \
        --uboot-flavours "" \
        --virtual-root-size 1500

cp -fr $chrootsources/* config/chroot_sources/

